Subject: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it is documented to do so.

From: Linda Walsh <[email-masked]>
Date: Fri, 07 Sep 2012 07:31:10 -0700

Eric Blake wrote:
> I personally detest new env-vars that change long-standing behavior,
> because you then have to audit EVERY SINGLE SCRIPT to ensure that its
> use is unimpacted if the new env-var is set.  It must either be an
> existing env-var, or my personal preference of a new --long-option.  But
> if you want to submit a patch so that 'rm -r --depth-first .' does what
> you want, I'm probably 60-40 in favor of including it.
---
I wouldn't be opposed to adding it in addition, but I don't want the extra
typing for what is the more common case for me, but given that the current
behavior is to return an error -- and there is an expectation of being able to type
in non-working commands just to see the error message -- imagine their surprise
and how they would curse if you added an option that actually made that previously
illegal action, work.

Most of them who type in random wrong commands just to see error messages aren't
smart enough to use environment variables.